Partial Class dsMetallica
    Partial Class SongDataTable

    End Class

    Partial Class SetlistDataTable

        Private Sub SetlistDataTable_ColumnChanging(ByVal sender As System.Object, ByVal e As System.Data.DataColumnChangeEventArgs) Handles Me.ColumnChanging
            If (e.Column.ColumnName = Me.ShowNumberColumn.ColumnName) Then
                'Add user code here
            End If

        End Sub

    End Class

End Class
